Subject: FVWM: ERROR.

From: Clive Messer <[email-masked]>
Date: Thu, 25 Apr 1996 12:44:26 +0100 (BST)

I wrote:

> Having got 2.0.42 up and running I can seem to get rid of the following
> error ....
>
> [FVWM][executeModule]: <<ERROR>> No such module /var/X11R6/lib/fvwm2
> PixmapPath
>
> Obviously, there is not a module called, "PixmapPath".
>
> It's not my .fvwmrc2 either. I get the same with the supplied
> system.fvwmrc.

I got several replies and thanks to all, especially Harley Privitera
for pointing me in the right direction.

If FvwmCompiler flags is defined in Fvwm.tmpl. ie.

#define FvwmCompilerFlags -O6 -fomit-frame-pointer -m486

then later in Fvwm.tmpl .....

#ifdef FvwmCompilerFlags
        CFLAGS = FvwmCompilerFlags

overrides the CFLAGS def in the xmkmf generated Makefiles ....

CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
                                                      
and consequently because 

ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) \
$(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)

and

DEFINES = $(OPTION_DEFINES) $(XPM_DEFINES) $(AUDIO_DEFINES)

the necessary defs and includes are not included/defined.

Fvwm.tmpl should change to ...

#ifdef FvwmCompilerFlags
        CDEBUGFLAGS = FvwmCompilerFlags

--- Fvwm.tmpl-old       Thu Apr 25 12:11:51 1996
+++ Fvwm.tmpl   Thu Apr 25 12:12:25 1996
@@ -249,7 +249,7 @@
         CC = FvwmCompiler
 #endif
 #ifdef FvwmCompilerFlags
-        CFLAGS = FvwmCompilerFlags
+        CDEBUGFLAGS = FvwmCompilerFlags
 #endif

 #ifdef FvwmBinDir
@@ -301,7 +301,7 @@
 #endif /* HPArchitecture */
 #endif /* AlphaArchitecture */

-  FVWM_LIBS = -L$(FVWM_SRCDIR)/libs -l$(LIB) $(XPM_LIBRARIES) $(KLUDGE_LIBS)
+  FVWM_LIBS = $(FVWM_SRCDIR)/libs/lib$(LIB).a $(XPM_LIBRARIES) $(KLUDGE_LIBS)
 FVWM_DEPLIB = $(FVWM_SRCDIR)/libs/lib$(LIB).a

     DEFINES = $(OPTION_DEFINES) $(XPM_DEFINES) $(AUDIO_DEFINES)

Clive.
-- 
C Messer. Epos Systems. UK.  |
<[email-masked]>     |   "I pressed her thigh and death smiled."
<[email-masked]>   |    Jim Morrison.                       

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].